functexcept.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

void | std::__throw_bad_alloc (void) __attribute__((__noreturn__))
void | std::__throw_bad_cast (void) __attribute__((__noreturn__))
void | std::__throw_bad_exception (void) __attribute__((__noreturn__))
void | std::__throw_bad_function_call () __attribute__((__noreturn__))
void | std::__throw_bad_typeid (void) __attribute__((__noreturn__))
void | std::__throw_domain_error (const char *) __attribute__((__noreturn__))
void | std::__throw_future_error (int) __attribute__((__noreturn__))
void | std::__throw_invalid_argument (const char *) __attribute__((__noreturn__))
void | std::__throw_ios_failure (const char *) __attribute__((__noreturn__))
void | std::__throw_ios_failure (const char *, int) __attribute__((__noreturn__))
void | std::__throw_length_error (const char *) __attribute__((__noreturn__))
void | std::__throw_logic_error (const char *) __attribute__((__noreturn__))
void | std::__throw_out_of_range (const char *) __attribute__((__noreturn__))
void | std::__throw_out_of_range_fmt (const char *,...) __attribute__((__noreturn__)) __attribute__((__format__(__gnu_printf__
void | std::__throw_overflow_error (const char *) __attribute__((__noreturn__))
void | std::__throw_range_error (const char *) __attribute__((__noreturn__))
void void | std::__throw_runtime_error (const char *) __attribute__((__noreturn__))
void | std::__throw_system_error (int) __attribute__((__noreturn__))
void | std::__throw_underflow_error (const char *) __attribute__((__noreturn__))

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <exception>.

This header provides support for -fno-exceptions.

Definition in file functexcept.h.